LINUX.ORG.RU

в /etc/X11/xotg.conf.d прописано

Section "Monitor"
Identifier "Configured Monitor"
1920x1080
EndSection

1. Удали этот файл целом к чертям. Тут написана какая-то несусветная хрень. Удали (или перемести куда-нибудь) /etc/X11/xorg.conf, удали файлы из /etc/X11/xorg.conf.d, если они есть.

2. Перезапусти иксы. Разрешение должно выставиться автоматом.

3. Если иксы перезапустились с неправильным разрешением, то вывешивай на pastebin.com лог /var/log/Xorg.0.log.

Zubok ★★★★★ ()
Последнее исправление: Zubok (всего исправлений: 2)
Ответ на: Звиняйте, почему-то не скопировалось от Valman_new
[  3743.656] (EE) open /dev/dri/card0: No such file or directory
[  3743.656] (WW) Falling back to old probe method for modesetting
[  3743.656] (EE) open /dev/dri/card0: No such file or directory

У тебя проблемы с драйвером. Иксы не трогай. Решай проблему драйвера. Ядреный драйвер загружен?

Zubok ★★★★★ ()
Ответ на: комментарий от Valman_new

Что такое «новые amd»? Ты драйвера откуда ставил? С сайта AMD или используешь дистрибутивные?

1. Что говорит lsmod | grep "drm"?

2. Выложи также лог /var/log/dmesg

Zubok ★★★★★ ()
Ответ на: комментарий от Zubok

Что такое «новые amd»? Ты драйвера откуда ставил? С сайта AMD или используешь дистрибутивные?

RX 480. Дистрибутивные, с сайта просто кладут систему.

1. Что говорит lsmod | grep «drm»?

Ничего. А lsmod || grep «drm» — http://pastebin.com/esZ4S7d2

2. Выложи также лог /var/log/dmesg

(Nothing has been logged yet.)

Valman_new ()
Ответ на: комментарий от Valman_new

(Nothing has been logged yet.)

Не может быть такого.

http://pastebin.com/esZ4S7d2

Ну вот ядреного драйвера я и не вижу. Ты , кажется, наэкспериментировался с драйверами, но не рассказываешь нам.

с сайта просто кладут систему.

Значит, ставил с сайта. Вот и подзасрал все. Надо все вычищать и нормально ставить дистрибутивный драйвер. Но ты какой дистрибутивный ставишь - свободный или проприетарный?

Zubok ★★★★★ ()
Ответ на: комментарий от Valman_new

Я предполагаю, что ты поставил с сайта, он тебе заблеклистил ядерный модуль radeon и теперь его не грузит. А должен. Посмотри инструкции на сайте, как корректно удалять драйвер из системы.

Zubok ★★★★★ ()
Последнее исправление: Zubok (всего исправлений: 1)
Ответ на: комментарий от Zubok

Значит, ставил с сайта.

Не ставил, честное слово.

Не может быть такого.

Как видишь...

Valman_new ()
Ответ на: комментарий от Valman_new

Да при чем тут ядро. У тебя система чистая? Ты говоришь, что драйвера с сайта кладут систему. Откуда ты это узнал, если ты их, как ты потом говоришь, не ставил?

Как видишь...

Хм, systemd, что ли, текстовый лог не оставляет? Я не знаю, как смотреть лог dmesg через systemd. И искать не хочу. Тогда сам выясни.

Zubok ★★★★★ ()
Ответ на: комментарий от Valman_new

Ставил до переустановки.

Тогда говори, как ты ставишь из репозитория. Ты fglrx ставишь из репозитория? Или свободный драйвер radeon?

Zubok ★★★★★ ()
Ответ на: комментарий от Zubok

Тогда говори, как ты ставишь из репозитория. Ты fglrx ставишь из репозитория? Или свободный драйвер radeon?

Я еще ничего не ставил. На системе только скайп и крыса.

Valman_new ()
Ответ на: комментарий от Zubok

нет уже fglrx, забудьте это слово, и radeon почти ничего общего с gcn >= 1.0 картами не имеет, за все теперь отвечает amdgpu модуль который в ядре, и чем новее ядро тем лучше, так же «закрытый» amdgpu-pro тягает с собой этот модуль с собирает его dksm по нужде с фичами кторые еще не впилили в апстрим, но в этом про модуле с каждым ждем все меньше нужды, с ядра 4.9 все должно быть из коробки, а с 4.10 тем более.

Novell-ch ★★★★★ ()
Последнее исправление: Novell-ch (всего исправлений: 2)
Ответ на: комментарий от Valman_new

У тебя Radeon RX 470/480, если правильно по pci id пробивается? Может, это для тебя?

http://support.amd.com/en-us/kb-articles/Pages/AMDGPU-PRO-Driver-for-Linux-Re...

For Ubuntu 16.04 LTS if you have the very latest Radeon RX 4xx graphics cards, AMDGPU-Pro hybrid driver is available to download here (please read the release notes for known problems and limitations).

Zubok ★★★★★ ()
Ответ на: комментарий от Novell-ch

нет уже fglrx, забудьте это слово

Я его и не вспоминал, так как даже никогда не ставил. Всегда открытым пользовался. Вот пишут, что ему надо для LTS amdgpu-pro ставить пробовать. Но он мог его ставить. Поэтому и упомянул.

Zubok ★★★★★ ()
Последнее исправление: Zubok (всего исправлений: 2)
Ответ на: комментарий от Novell-ch

но в этом про модуле с каждым ждем все меньше нужды, с ядра 4.9 все должно быть из коробки, а с 4.10 тем более.

Тогда, думаю, он может ядро поновее в репозиториях поискать. Может, уже есть собранное.

Zubok ★★★★★ ()
Ответ на: комментарий от Valman_new

hd 7970

если по теме, была бы суся я бы, поставил свежее ядро, загрузился с параметром 3, оно бы не грузило иксы, залогинился рутом посмотрел вывод

dmesg|grep amdgpu

если там ошибки то скорее всего нету firmware, установил бы их, если такого модуля нет загруженного то загрузил бы его

modprobe amdgpu

и опять посмотрел бы вывод

dmesg|grep amdgpu

если все завелось то выполню mkinitrd и rcxdm restart

и наслаждался бы всеми благами, но как это все повторить на убунте я не знаю.

Novell-ch ★★★★★ ()
Последнее исправление: Novell-ch (всего исправлений: 1)
Ответ на: комментарий от Valman_new

Плохо, ибо новые амд. Но раньше(до переустановки на убунчу 16.04) все работало.

А раньше до Ubuntu 16.04 какой дистрибутив был, на котором все работало? И какое там было ядро?

Zubok ★★★★★ ()
Последнее исправление: Zubok (всего исправлений: 2)
Ответ на: комментарий от Zubok

А раньше до Ubuntu 16.04 какой дистрибутив был, на котором все работало?

Много еще было, но с момента покупки новой видеокарты — только убунту 16.04, остальное не запускалось даже LiveCD.

4.4

Valman_new ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.